LIBJXL: JxlColorEncoding Struct Reference

LIBJXL

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlColorEncoding Struct Reference
JPEG XL library (libjxl) » JPEG XL common definitions

`#include <color_encoding.h>`

## Public Attributes
JxlColorSpace | color_space
JxlWhitePoint | white_point
double | white_point_xy [2]
JxlPrimaries | primaries
double | primaries_red_xy [2]
double | primaries_green_xy [2]
double | primaries_blue_xy [2]
JxlTransferFunction | transfer_function
double | gamma
JxlRenderingIntent | rendering_intent

## Detailed Description

Color encoding of the image as structured information.

## Member Data Documentation

## ◆ color_space

JxlColorSpace JxlColorEncoding::color_space

Color space of the image data.

## ◆ gamma

double JxlColorEncoding::gamma

Gamma value used when transfer_function is JXL_TRANSFER_FUNCTION_GAMMA

## ◆ primaries

JxlPrimaries JxlColorEncoding::primaries

Built-in RGB primaries. If this value is JXL_PRIMARIES_CUSTOM, must use the numerical primaries values below. This field and the custom values below are unused and must be ignored if the color space is JXL_COLOR_SPACE_GRAY or JXL_COLOR_SPACE_XYB.

## ◆ primaries_blue_xy

double JxlColorEncoding::primaries_blue_xy[2]

Numerical blue primary values in CIE xy space.

## ◆ primaries_green_xy

double JxlColorEncoding::primaries_green_xy[2]

Numerical green primary values in CIE xy space.

## ◆ primaries_red_xy

double JxlColorEncoding::primaries_red_xy[2]

Numerical red primary values in CIE xy space.

## ◆ rendering_intent

JxlRenderingIntent JxlColorEncoding::rendering_intent

Rendering intent defined for the color profile.

## ◆ transfer_function

JxlTransferFunction JxlColorEncoding::transfer_function

Transfer function if have_gamma is 0

## ◆ white_point

JxlWhitePoint JxlColorEncoding::white_point

Built-in white point. If this value is JXL_WHITE_POINT_CUSTOM, must use the numerical whitepoint values from white_point_xy.

## ◆ white_point_xy

double JxlColorEncoding::white_point_xy[2]

Numerical whitepoint values in CIE xy space.

The documentation for this struct was generated from the following file:

- jxl/color_encoding.h